ktbjx Posted May 15, 2016 Posted May 15, 2016 is there a way to quick select polylines by elevation??? i have this elevations something like 1, 1.3, 1.5, and 1.6, 2, 2.5 so i want to select from 1 to 1.5 and put it on a layer, and from 1.6 to 2.5 put on different layer.... is it possible to quick select by elevation Quote
halam Posted May 15, 2016 Posted May 15, 2016 From a side view you could do this. not very lispy but practical.. Quote
Dadgad Posted May 16, 2016 Posted May 16, 2016 (edited) Another non lisp approach would be using the FILTER command. The way I set this up, the FILTER is actually searching for all Polylines with Elevations in the RANGE from 1 to 1.5, but that can be easily altered. Once you set up such a Filter, you can save it as a preset, so the next time you need it, all you need to do is to select it from the dropdown Named filter menu. QuickSelect will not allow you to do a range like this, or multiple elevations in one search. Edited May 16, 2016 by Dadgad Quote
ymg3 Posted May 16, 2016 Posted May 16, 2016 (defun spelv (lo hi) (ssget (list '(0 . "LWPOLYLINE") '(-4 . ">=") (cons 38 lo) '(-4 . "<") (cons 38 hi))) ) Suggest you take a look at Lee Mac's page on ssget filters http://www.lee-mac.com/ssget.html Once you got the selection set, It's only a matter of using entmod to change the layer of every entity in it. Quote
ktbjx Posted May 16, 2016 Author Posted May 16, 2016 (defun spelv (lo hi) (ssget (list '(0 . "LWPOLYLINE") '(-4 . ">=") (cons 38 lo) '(-4 . "<") (cons 38 hi))) ) Suggest you take a look at Lee Mac's page on ssget filters http://www.lee-mac.com/ssget.html Once you got the selection set, It's only a matter of using entmod to change the layer of every entity in it. i didnt get the code Quote
BIGAL Posted May 17, 2016 Posted May 17, 2016 A bit more (defun c:spelv ( / lo hi) (setq ss (ssget (list '(0 . "LWPOLYLINE") '(-4 . ">=") (cons 38 (getreal "enter low value")) '(-4 . "<") (cons 38 (getreal "Enter high value"))))) (command "-chprop" ss "" "La" (getstring "Enter Layer name") "") ) 1 Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.